/*
 * File         : test6.java
 * Author       : Guansong Zhang
 * Created      : Wed Jan 14 10:28:34 1998
 * Revision     : $Revision: 1.4 $
 * Updated      : $Date: 1998/04/21 21:41:42 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

import spmd.*;

class test6 {
  public static void main(String argv[]) {
    SpmdEnv spmd = new SpmdEnv (argv);

    Procs2 p=new Procs2(2,2);

    if (p.on()) {

      BlockRange x = new BlockRange (6, p.dim(0));
      BlockRange y = new BlockRange (4, p.dim(1));

      Array2Int a = new Array2Int(x, y, spmd.apg);

      Range z = new CyclicRange (10, p.dim(0)).subrng(6, 1);

      Array2Int b = new Array2Int(z, y, spmd.apg);
      
      Index i = new Index (x);
      Index j = new Index (y);

      i.dim().over();
      for (i.begin(); i.test(); i.next()) {
	j.dim().over();
	for (j.begin(); j.test(); j.next()) {
	  a.data[a.element(i, j)]= 100*i.idx() + 10*j.idx();
	  //	  System.out.println(a.data[a.element(i,j)]);
	} j.dim().revo();
      } i.dim().revo();

      //      Adlib.aprintf("%3R0%3R1%10d\n", a);

      Adlib.remap(b, a);

      Adlib.aprintf("%3R0%3R1%10d\n", b);

    } p.no();

    spmd.finalize();

  }
}
